#==========================================================#
#
# Instructions for running bootstrap_tldr.py
#
# Path: /mnt/nfs/ex9/work/yingyang/data2share/bootstrap_for_tldr
#
# Required python libraries: 
# os, sys, glob
# argparse, collections
# Matplotlib, seaborn, numpy, scipy. statsmodels
# pandas, tqdm
#
# Example inputs under: 1YPE and D4
# required inputs: 
# - a text file with ligand names. e.g. ligands.name 
# - a text file with decoy  names. e.g. decoys.name 
# - a text file with ranked list (format: MOLECULE_NAME DOCKING_SCORE)
# optional inputs: 
# - a text file with ranked list for method 2 (NEW) (same format as above)
#==========================================================#

# First usage: standard ROC plots for AUC and logAUC calculation
/nfs/home/yingyang/programs/miniconda3/envs/teachopencadd/bin/python \
bootstrap_tldr.py \
-lig ligands.name -dec decoys.name \
-s1 1YPE_std.txt \
-m logAUC 

# Second usage: bootstrap on ranked list for 95% confidence intervals
/nfs/home/yingyang/programs/miniconda3/envs/teachopencadd/bin/python \
bootstrap_tldr.py \
-lig ligands.name -dec decoys.name \
-s1 1YPE_std.txt \
-bootstrap

# Third usage: Z-test to compare the bootstrapped distribution
/nfs/home/yingyang/programs/miniconda3/envs/teachopencadd/bin/python \
../bootstrap_tldr.py \
-lig ligands.name -dec decoys.name \
-s1 1YPE_std.txt -s2 1YPE_ld.5.txt \
-bootstrap



# D4 example
/nfs/home/yingyang/programs/miniconda3/envs/teachopencadd/bin/python \
../bootstrap_tldr.py \
-lig ligands.name -dec decoys.name \
-s1 D4_std.txt -m <AUC/logAUC/both> 

/nfs/home/yingyang/programs/miniconda3/envs/teachopencadd/bin/python \
../bootstrap_tldr.py \
-lig ligands.name -dec decoys.name \
-s1 D4_std.txt -bootstrap -m <AUC/logAUC/both> 

/nfs/home/yingyang/programs/miniconda3/envs/teachopencadd/bin/python \
../bootstrap_tldr.py \
-lig ligands.name -dec decoys.name \
-s1 D4_std.txt -s2 D4_ld.5.txt \
-bootstrap
